function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i = 1, 75 do
		local w = self.Emitter:Add("effects/fleck_wood"..math.random(1,2), self.Start + Vector(math.Rand(-5, 5), math.Rand(-5, 5), math.Rand(0, 1)))
		if w then
			w:SetVelocity(Vector(math.Rand(-150, 150), math.Rand(-150, 150), math.Rand(0, 200)))
			w:SetDieTime(math.random(3, 5))
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(math.Rand(2, 3))
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0, 360))
			w:SetRollDelta(math.Rand(-5, 5))
			w:SetAirResistance(70)
			w:SetColor(90, 85, 75)
			w:SetGravity(Vector(0, 0, -600))
			w:SetCollide(true)
			w:SetBounce(0.6)
		end
	end
	for i = 1, 5 do
		local c = self.Emitter:Add("particle/particle_composite", self.Start)
		if c then
			c:SetDieTime(math.Rand(1, 3))
			c:SetStartAlpha(255)
			c:SetEndAlpha(0)
			c:SetStartSize(15)
			c:SetEndSize(30)
			c:SetRoll(math.Rand(150, 360))
			c:SetRollDelta(math.Rand(-1,1))
			c:SetAirResistance(150)
			c:SetVelocity(Vector(math.Rand(-50, 50), math.Rand(-50, 50), math.Rand(0, 100)))
			c:SetGravity(Vector(0, 0, -100))
			c:SetColor(90,85,75)
		end
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end